# -*- coding: utf-8 -*-
"""
Spyder Editor

This is a temporary script file.
"""
## importing required python modules/libraries
import ntpath
import glob
import pandas as pd
import pymannkendall as mk
import pyhomogeneity as hg





## provide a path location of the input text files (change the path name as per your need)
file_path = "t"

## provide a path location where the output file will be stored (change the path name as per your need)
output_path = "C"


## Below is the function that reads each text file and executes a trend test for the given AMS data

def trend_test():
    for filename in glob.glob(file_path):
        print (filename)
        df = pd.read_csv(filename, delim_whitespace=True, usecols=[1], header=None)
        
        ## do the Mann-Kendall test (MK Test)
# =============================================================================
        mkt = str(mk.original_test(df))
        print (mkt)
        
        ## do the Pettitt test (PT Test)
        ptt = str(hg.pettitt_test(df))
        print (ptt)
# =============================================================================

        
        print("__________________________________________________________________")
        
        ## to get the only file name, NOT the whole path while saving output files
        only_file = ntpath.basename(filename)
        
        
        ## to write and save output in a text file
# =============================================================================
        with open(output_path,'a') as file:
            file.write(str(only_file) + '\n')
            file.write("~~~~~~~~~~~~~~~" + '\n')
            file.write(mkt + '\n')
            file.write("***********************************************" +'\n')
            file.write(ptt + '\n')
            file.write("***********************************************" + '\n')
            file.write("***********************************************" +'\n')
            file.write('\n')
# =============================================================================
			
## To execute the function
trend_test()
